UUIDPARSE(1)

NUME
uuidparse - o utilitate pentru analizarea identificatorilor unici

REZUMAT

uuidparse [opțiuni] uuid

DESCRIERE

Această comandă va analiza datele de intrare ale identificatorului unic, fie din argumentele liniei de comandă, fie din intrarea standard. Datele de intrare sunt separate prin spații albe.

IEȘIRE

  Variante
NCS | Identificatorul sistemului de calcul în rețea. Acestea au fost UUID-urile originale.
DCE | UUID-urile mediului de calcul distribuit al Open Software Foundation (OSF).
Microsoft | Identificatorul unic global (GUID) al platformei Microsoft Windows.
other | Variantă necunoscută. De obicei, date de intrare nevalide.

  Tipuri
nil | Tip special pentru fișierul de tip null.
time-based | DCE bazat pe timp.
DCE | Ora DCE și adresa MAC.
name-based | Suma de control md5sum RFC 4122.
random | Aleatoriu RFC 4122.
sha1-based | Suma de control sha-1 RFC 4122.
unknown | Tip necunoscut. De obicei, date de intrare nevalide.

OPȚIUNI

-J, --json
    Utilizează formatul de ieșire JSON.

-n, --noheadings
    Nu imprimă o linie de antet.

-o, --output
    Specifică ce coloane de ieșire se vor imprima. Utilizați --help pentru a obține o listă cu toate coloanele acceptate.

-r, --raw
    Utilizează formatul de ieșire brut.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MEDIU

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    utilizează caractere de umplutură vizibile.

AUTORI

CONSULTAȚI ȘI

uuidgen(1), libuuid(3),

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda uuidparse face parte din pachetul util-linux care poate fi descărcat de la